[PLUGIN] Gutuma pour Pluxml : module de gestion de newsletters

1246711

Réponses

  • Ah ! tu as quoi comme navigateur. Il me le fait avec firefox et chrome. Encore maintenant...
  • StéphaneStéphane Member, PluXml Former Project Manager
    vide le cache de tes navigateurs

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • Ctrl - maj - R (ou Cmd - maj - R).
  • Visiblement ce n'est pas ça.
  • Sur le lien que tu nous a donné, le texte s'affiche correctement et je ne vois pas les noms des index du tableau de langue. As-tu essayé depuis un autre ordinateur ?
  • Bonjour,
    J'ai essayé plusieurs ordis différents avec différents navigateurs et le problème est le même !!
    Ce doit être une question de configuration d'ordinateur si au moins une personne voit ça correctement...

    On va laisser comme ça. Tu as sans doute mieux à faire.

    Merci quand même.
  • Arno_Strasbourg a écrit:
    On va laisser comme ça. Tu as sans doute mieux à faire.
    Euh, non. Je veux comprendre ce qui se passe. C'est juste que je ne parviens pas à reproduire ce que tu décris.
  • totofrancoistotofrancois Member
    novembre 2012 modifié
    j'ai voulu installer le plugin et au moment de cliquer sur :


    "installer le plugin" je suis redirigé sur 127.0.0.1/var/www/monsite/install.php

    j'ai bien copier gutuma dans plugin et vérifier les droits (sauf du fichier config car inexistant)


    j'ai essayer de debugger mais je comprend pas pourquoi il me jette

    surtout que mon fichier est dans /home/user/document... avec un alias apache en local sur mon ubuntu

    merci
  • Bonjour à tous, :)


    Bon boulot que ce Gutama là ! ;)


    A part que la tentative d'envoi d'une Newsletter me donne une magnifique Internal Server Error.
    Savez-vous pourquoi ?


    Gutama 1-3-1
    Pluxml version 5.1.6 (encodage UTF-8)
    Version de php : 5.3.19


    > Dans le fichier /plugins/gutuma/news/inc/__plxml.php, ligne 20, remplacer : define('PLX_ROOT', '../../../');
    > Par
    > ('PLX_ROOT', $_SERVER.substr($_SERVER,0,strpos($_SERVER, 'plugins')));
    > Ça devrait marcher. Je mets l'archive à jour de ce pas.


    Attention Jerry


    Dans l'archive "plugin-gutuma-de-Pluxml-1.3.1.zip" (779Ko) sur ton site en http://www.ecyseo.net/static/5/telechargements.html, cette modif n'est pas faite.
  • Bonjour à tous, :)

    Pour suivre mon histoire d'internal serveur error lors de l'envoie de la Newsletter, j'ai demandé les logs apache et php comme recommandé par Jerry plus haut mais, comme je suis en mutualisé chez Nuxit, le support ne peut ou ne veut me les donner.

    Sa réponse, après que je luis ais expliqué mon tourment et donné l'URL de l'erreur, est:

    >...Nous n'avons pas d'erreur pour ce script. Cette erreur peut-être lié au temps d'exécution limité à 120 sec sur hébergement mutualisé.

    J'en suis un peu étonné et peut-être pourriez vous me donner votre avis.

    D'autre part, une installation fraîche de Gutuma - Version 1.3 (29/10/2012) sur Pluxml 5.1.7 (même serveur dans un sous/domaine) me donne ceci à l'installation du module.

    Fatal error: Call to undefined function path() in /web/evangelisetonvo/news/core/lib/class.plx.motor.php on line 54


    news/lists/ news/temp/ news/inc sont en 777
  • StéphaneStéphane Member, PluXml Former Project Manager
    Bonjour
    Vérifie que le fichier core/lib/config.php est bien présent

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • Yes Stéphane, il est présent.
  • StéphaneStéphane Member, PluXml Former Project Manager
    et les droits en lecture sur le fichier sont ok ?

    Consultant PluXml

    Ancien responsable du projet (2010 à 2018)

  • Ils étaient à 644, j'ai mis à 777 mais c'est pareil. :)
  • Le plugin n'est pas encore compatible avec la version 5.1.7 car l'import des librairies est un peu différent entre la version 5.1.6 et la 5.1.7.

    Je reviens vous dire dès que j'ai fait la mise à jour.


    Si vous souhaitez absolument utiliser le plugin, il faut que vous restiez encore un peu avec la version 5.1.6 de pluxml. Désolé pour ce contre-temps.
  • Ok, merci Jerry; Je m'en doutais un peu. ;)


    Toutefois, il semble que je rencontre aussi des problèmes avec la version 5.1.6.


    Je vais refaire des tests et vous fais remonter ce qu'il en est.
  • Petits retours pour infos.


    J'ai refais des installs sur trois serveurs avec la version 5.1.7

    Toutes me donnent l'erreur /web/*****/news/core/lib/class.plx.motor.php on line 54


    En 5.1.6


    Nuxit :


    J'ai testé avec une 516 et l'install est OK mais l'envoie de la letter donne une erreur système à l'installation


    o2switch.net


    L'install de Gutuma s'est initiée sans problème, l'envoie de la letter s'effectue mais les inscrits ,ne reçoivent rien du tout


    Free.fr


    Bof, là, une install de la 5.1.6 me donne un warning qui dit.....


    Warning: include(config.php) [function.include]: failed to open stream: No such file or directory in /mnt/111/sda/6/4/christweb/pluxml516/index.php on line 13

    Warning: include() [function.include]: Failed opening 'config.php' for inclusion (include_path='/mnt/111/sda/6/4/christweb/include:.:/usr/php5/lib/php') in /mnt/111/sda/6/4/christweb/pluxml516/index.php on line 13

    Warning: Cannot modify header information - headers already sent by (output started at /mnt/111/sda/6/4/christweb/pluxml516/index.php:13) in /mnt/111/sda/6/4/christweb/pluxml516/index.php on line 22


    Mais ce n’est pas vraiment mon soucis bien que j'ai essayé de re-uploader les fichier pluxml et que free et moi..... ;)
  • Je viens de faire la mise à jour du plugin pour qu'il soit utilisable avec la version 5.1.7 de pluxml. Il est également toujours utilisable avec la 5.1.6.

    Enjoy :p
  • Bien sûr qu'on va enjoy et tester ça en vitesse. :)


    Thank you very much Jerry
  • Merci Jerry pour la rapidité de cette mise à jour. Ça permettra de passer à PluXml 5.1.7 un site pour lequel ce plugin est fondamental, et de l'utiliser pour d'autres sites.
  • Francis a écrit:
    Merci Jerry pour la rapidité de cette mise à jour. Ça permettra de passer à PluXml 5.1.7 un site pour lequel ce plugin est fondamental, et de l'utiliser pour d'autres sites.
    Fondamental : whouaw (même si je ne sais pas comment ça s'écrit) ! Ça me met la pression.
  • Hello à tous, :)


    Petit retour sur installation Gutuma sur version 5.1.7


    Tout d'abord, je ne comprends pas dans Gutums/réglages le champs "Nom du thème".
    "Le champ suivant est le nom du dossier qui contient les fichiers du thème (attention de respecter la casse !)"


    Il y a d'origine "default" et, si j'essaye de renseigner mon thème, ça me donne une page blanche et cela ne joue pas. :-//


    En laissant "default" , ça colle mais je ne sais pas à quoi cela correspond. Une lumière peut-être ? :)


    D'autre part....


    Gutuma/réglages/Transport" est réglé sur PHP maill, le test fonctionne, mais l'envoie de la letter, bien qu'il assure que c’est parti n'envoie rien du tout.


    Autre manip :


    Gutuma/liste

    Je clique sur l'icône "Envoyer la newsletter à cette liste", l'éditeur s'ouvre, je rédige, j'envoie et un message d'erreur me signale ....


    "Impossible d'envoyer le message à cause d'une erreur de connexions."


    Il me gratifie la boite d'envoie de (1)


    Parallèlement, mon serveur m'envoie un avis Mail failure - rejected by local scanning code (J'ai trois emails dans ma liste) qui raconte...

    Un message que vous avez envoyé a été rejetée par le code de balayage local que 
    vérifie les messages entrants sur ce système. L'erreur suivante a été donnée: 
    
    Ce message a été classé comme SPAM et ne peuvent pas être livrés
    

    Cela me trouble car si je me dis que mon serveur est peut-être un peu pointilleux question spams mais cela ne m'explique pas pourquoi il me raconte ça avec une manip et pas lors de l'envois direct par Gutuma/Newsletter


    Pour info, si j'essaye de ré-envoyer une letter qui se trouve dans la boite d'envoie, c'est pareil, il me retourne le message "Impossible d'envoyer le message à cause d'une erreur de connexions" et mon serveur réagit avec son ardente bafouille.


    Quid de ce mystérieux mystère . :)
  • Les tracas. Le retour. :)


    Cette histoire de ""Impossible d'envoyer le message à cause d'une erreur de connexions." se retrouve sur plusieurs serveurs avec la même install.


    J'ai eu la curiosité de télécharger le gutuma d'origine sur http://gutuma.com/ et sur certains serveur cela fonctionne impec et pas sur d'autres (avec la même erreur).


    Tiens, en parlant d'erreur, je viens de faire un test de la totale (Le 5.1.7 + Gutuma) sur un autre serveur qui à à l'installation du plugin m'a donné la bonne vieille ".../core/lib/class.plx.motor.php on line 54"
  • Pour le thème, c'est soit le thème de l'admin de pluxml (par défaut), soit celui de gutuma (un thème dans le vert qui est disponible dans /plugins/gutuma/news/themes/gutuma). A ne pas confondre avec celui du site qui est dans le dossier /thèmes/. Ça n'a rien à voir.

    Pour ce qui est de l'envoi des mails, c'est un problème de configuration serveur. Le plugin fonctionne très bien chez moi et les mails sont envoyés.
    Pour le plugin, il n'y a pas d'erreur d'envoi car les mails sont bien envoyés au serveur. Par contre, le serveur les reçoit et les traite. Ils les interprète comme du spam et ne les transfère pas à tes correspondants. D'où le message qu'il te retourne.
  • C'est ce que j'avais cru comprendre en regardant l'entête du mail du serveur mais est-tu certain que la réponse dans gutuma "Impossible d'envoyer le message à cause d'une erreur de connexions." soit en rapport ?


    Je retrouve cette même embrouille sur la batterie de serveurs que j'ai testé (et pas des moindres) et, si tu confirme, il va nous falloir trouver la parade.


    Selon ta réponse, je contacterais le support de mon serveur principal qui est toujours à l'écoute et de bon conseils.
  • jack31jack31 Member
    février 2013 modifié
    Bonjour, :)


    Là, je n'y comprends plus rien car Gutuma s'est mis subitement à fonctionner (sur une V 5.1.7) et envoie la Letter quoi que pas à tout le monde. Une seule (sur 3) peut-être (et sans doute) celle envoyée à l'administrateur (?).


    Remarquez, il est gentil car il me précise que "...ce message n'a pas été envoyé à tous les destinataires".


    Il me reste à savoir pourquoi. ;)


    [Edit] En SMTP, cela fonctionne.
  • Pour ce qui est de l'envoi des mails, c'est un problème de configuration serveur

    Tu avais raison Jerry, c’est bien le serveur qui était en cause.


    Pour info @tous


    J'ai contacté le support de mon hébergement et voici la réponse.

    le serveur a un antispam sortant pour éviter les hacks et usages fruduleux de la fonction mail()
    J'ai édité la configuration pouvez vous tester à présent ?

    Cela fonctionne maintenant pour l'envoie des newsletters mais j'ai toujours un message d'erreur "Impossible d'envoyer un message à cause d'une erreur de connexion" quand j'essaye d'envoyer une letter située dans "la boite d'envois".

    Tous modes d'envois confondus (transport)
  • Pour info, voici la suite de mon échange avec le support de mon hébergement.
    Il est plein d'enseignements et servira sans doute à aider plusieurs d'entre nous.
    Attention à ne pas mélanger les deux choses.


    En effet, le message d'erreur sera de notre fait, tandis qu'une mise en spam chez un autre fournisseur sera relative à la propre politique interne de ce dernier.


    Ainsi, de nombreux prestataires refusent de plus en plus l'usage de mail() seul. Sachant qe pour éviter l'incident, il faut coupler mail() au serveur SMTP afin de "simuler" un client de messagerie. Idem vous pouvez activer les entrées SPF et domainkeys dans "authentification mail" de CPanel si ce n'est pas déjà fait. C'est un "plus" pour authentifier votre email auprès des divers prestataires.
  • Merci pour l'info.
  • Bonjour Jerry,

    J'ai eu quelques problèmes avec Gutuma :

    1) Quand on crée une nouvelle liste, son nom apparaît puis s'efface en même temps que le texte de confirmation sur fond jaune. Elle est pourtant bien créée, et son nom réapparaît si on actualise la page avec F5, mais ce n'est pas très ergonomique de proposer cette solution aux utilisateurs !

    2) Avec une version récente de PHP (5.4.6 ou 5.4.7), des messages d'avertissements s'affichent lorsqu'on envoie un message à la liste de diffusion :
    Strict Standards: Only variables should be assigned by reference in /... .../plugins/gutuma/news/inc/mailer.php on line 106
    Strict Standards: Only variables should be assigned by reference in /... .../plugins/gutuma/news/inc/mailer.php on line 206
    Strict Standards: Only variables should be assigned by reference in /... .../plugins/gutuma/news/inc/mailer.php on line 207
    Strict Standards: Only variables should be assigned by reference in /... .../plugins/gutuma/news/inc/mailer.php on line 206
    Strict Standards: Only variables should be assigned by reference in /... .../plugins/gutuma/news/inc/mailer.php on line 207
    Strict Standards: Only variables should be assigned by reference in /... .../plugins/gutuma/news/inc/mailer.php on line 206
    Strict Standards: Only variables should be assigned by reference in /... .../plugins/gutuma/news/inc/mailer.php on line 207
    
    J'ai eu les mêmes messages (avec des numéros de ligne différents) avec Gutuma installé seul, sans PluXml.

    3) Si dans PluXml on modifie l'adresse de l'admin, son identifiant ou son mot de passe, ces changements ne sont pas pris en compte par Gutuma. Je ne sais pas s'il serait compliqué de mettre un bouton pour réactualiser les infos admin.

    Comme j'ai lu sur un autre post que tu avais prévu de te pencher sur quelques bugs de Gutuma, je te fais part de ceux que j'ai rencontrés. Merci d'avance si tu as l'occasion de t'y pencher - sans tomber ! :)
Connectez-vous ou Inscrivez-vous pour répondre.